<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:28 CEST 2019 -->
<title>FBStandAloneConnectionManager (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBStandAloneConnectionManager (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/FBResourceTransactionException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jca/FBTpb.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/FBStandAloneConnectionManager.html" target="_top">Frames</a></li>
<li><a href="FBStandAloneConnectionManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jca</div>
<h2 title="Class FBStandAloneConnectionManager" class="title">Class FBStandAloneConnectionManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jca.FBStandAloneConnectionManager</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/util/EventListener.html?is-external=true" title="class or interface in java.util">EventListener</a>, javax.resource.spi.ConnectionEventListener, javax.resource.spi.ConnectionManager</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBStandAloneConnectionManager</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements javax.resource.spi.ConnectionManager, javax.resource.spi.ConnectionEventListener, <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></pre>
<div class="block">The class <code>FBStandAloneConnectionManager</code> provides the 
 default implementation of ConnectionManager for standalone use.
 There is no pooling or other features..</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#org.firebirdsql.jca.FBStandAloneConnectionManager">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBStandAloneConnectionManager.html#allocateConnection-javax.resource.spi.ManagedConnectionFactory-javax.resource.spi.ConnectionRequestInfo-">allocateConnection</a></span>(javax.resource.spi.ManagedConnectionFactory&nbsp;mcf,
                  javax.resource.spi.ConnectionRequestInfo&nbsp;cxRequestInfo)</code>
<div class="block">Allocate a new <code>ManagedConnection</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBStandAloneConnectionManager.html#connectionClosed-javax.resource.spi.ConnectionEvent-">connectionClosed</a></span>(javax.resource.spi.ConnectionEvent&nbsp;ce)</code>
<div class="block"><code>javax.resource.spi.ConnectionEventListener</code> callback for 
 when a <code>ManagedConnection</code> is closed.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBStandAloneConnectionManager.html#connectionErrorOccurred-javax.resource.spi.ConnectionEvent-">connectionErrorOccurred</a></span>(javax.resource.spi.ConnectionEvent&nbsp;ce)</code>
<div class="block"><code>javax.resource.spi.ConnectionEventListener</code> callback for 
 when a Local Transaction was rolled back within the context of a
 <code>ManagedConnection</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBStandAloneConnectionManager.html#localTransactionCommitted-javax.resource.spi.ConnectionEvent-">localTransactionCommitted</a></span>(javax.resource.spi.ConnectionEvent&nbsp;event)</code>
<div class="block">Ignored event callback</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBStandAloneConnectionManager.html#localTransactionRolledback-javax.resource.spi.ConnectionEvent-">localTransactionRolledback</a></span>(javax.resource.spi.ConnectionEvent&nbsp;event)</code>
<div class="block">Ignored event callback</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBStandAloneConnectionManager.html#localTransactionStarted-javax.resource.spi.ConnectionEvent-">localTransactionStarted</a></span>(javax.resource.spi.ConnectionEvent&nbsp;event)</code>
<div class="block">Ignored event callback</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="allocateConnection-javax.resource.spi.ManagedConnectionFactory-javax.resource.spi.ConnectionRequestInfo-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allocateConnection</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;allocateConnection(javax.resource.spi.ManagedConnectionFactory&nbsp;mcf,
                                 javax.resource.spi.ConnectionRequestInfo&nbsp;cxRequestInfo)
                          throws javax.resource.ResourceException</pre>
<div class="block">Allocate a new <code>ManagedConnection</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>allocateConnection</code>&nbsp;in interface&nbsp;<code>javax.resource.spi.ConnectionManager</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mcf</code> - The <code>ManagedConnectionFactory</code> used to create 
        the new connection.</dd>
<dd><code>cxRequestInfo</code> - The parameters to be used in creating the 
        new connection</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.resource.ResourceException</code> - If the connection cannot be allocated</dd>
</dl>
</li>
</ul>
<a name="connectionClosed-javax.resource.spi.ConnectionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connectionClosed</h4>
<pre>public&nbsp;void&nbsp;connectionClosed(javax.resource.spi.ConnectionEvent&nbsp;ce)</pre>
<div class="block"><code>javax.resource.spi.ConnectionEventListener</code> callback for 
 when a <code>ManagedConnection</code> is closed.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>connectionClosed</code>&nbsp;in interface&nbsp;<code>javax.resource.spi.ConnectionEventListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ce</code> - contains information about the connection that has be closed</dd>
</dl>
</li>
</ul>
<a name="connectionErrorOccurred-javax.resource.spi.ConnectionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connectionErrorOccurred</h4>
<pre>public&nbsp;void&nbsp;connectionErrorOccurred(javax.resource.spi.ConnectionEvent&nbsp;ce)</pre>
<div class="block"><code>javax.resource.spi.ConnectionEventListener</code> callback for 
 when a Local Transaction was rolled back within the context of a
 <code>ManagedConnection</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>connectionErrorOccurred</code>&nbsp;in interface&nbsp;<code>javax.resource.spi.ConnectionEventListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ce</code> - contains information about the connection</dd>
</dl>
</li>
</ul>
<a name="localTransactionStarted-javax.resource.spi.ConnectionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>localTransactionStarted</h4>
<pre>public&nbsp;void&nbsp;localTransactionStarted(javax.resource.spi.ConnectionEvent&nbsp;event)</pre>
<div class="block">Ignored event callback</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>localTransactionStarted</code>&nbsp;in interface&nbsp;<code>javax.resource.spi.ConnectionEventListener</code></dd>
</dl>
</li>
</ul>
<a name="localTransactionCommitted-javax.resource.spi.ConnectionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>localTransactionCommitted</h4>
<pre>public&nbsp;void&nbsp;localTransactionCommitted(javax.resource.spi.ConnectionEvent&nbsp;event)</pre>
<div class="block">Ignored event callback</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>localTransactionCommitted</code>&nbsp;in interface&nbsp;<code>javax.resource.spi.ConnectionEventListener</code></dd>
</dl>
</li>
</ul>
<a name="localTransactionRolledback-javax.resource.spi.ConnectionEvent-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>localTransactionRolledback</h4>
<pre>public&nbsp;void&nbsp;localTransactionRolledback(javax.resource.spi.ConnectionEvent&nbsp;event)</pre>
<div class="block">Ignored event callback</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>localTransactionRolledback</code>&nbsp;in interface&nbsp;<code>javax.resource.spi.ConnectionEventListener</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/FBResourceTransactionException.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jca/FBTpb.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/FBStandAloneConnectionManager.html" target="_top">Frames</a></li>
<li><a href="FBStandAloneConnectionManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
